package com.cnbm.packing.service;

import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.packing.dto.IdVo;
import com.cnbm.packing.dto.WoPackagingBoxDTO;
import com.cnbm.packing.entity.WoPackagingBox;

import java.util.List;
import java.util.Map;

/**
 * 包装箱表
 *
 * @author codeGenerator
 * @since  2023-02-15
 */
public interface WoPackagingBoxServiceBiz extends CrudService<WoPackagingBox, WoPackagingBoxDTO> {

    PageData<WoPackagingBoxDTO> page (Map<String, Object> params);

    WoPackagingBoxDTO get(Long id);

    IdVo add(WoPackagingBoxDTO dto);

    void update(WoPackagingBoxDTO dto);

    void delete(Long[] ids);

    List<WoPackagingBoxDTO> list();

    WoPackagingBoxDTO printList(Long id);


    int updateIsArrivedByBoxNo(Integer isArrived, String boxNo);
}